'==========================================================================
'
' VBScript Source File -- Created with SAPIEN Technologies PrimalScript 3.1
'
' NAME: MakeRTF
'
' AUTHOR:  , 
' DATE  : 10/23/2006
'
' COMMENT: Selects Options->Save All to RTF in Tables Editor
'
'==========================================================================

Dim Wsh, Args, FSO, i, j

Set Args = WScript.Arguments 
Set Wsh = WScript.CreateObject("WScript.shell")
Set FSO = WScript.CreateObject("scripting.filesystemobject")
If Args.Count = 0 Then
    MsgBox "Correct use: MakeRTF.vbs <TBD File Name>",vbCritical, "Error"
End If
i = 0
While i <= Args.Count - 1
    StartTables(Args(i))
    i = i + 1
Wend 

WScript.Sleep(10000)

i = 0
While i <= Args.Count - 1
    RunTables(Args(i))
    i = i + 1
Wend 

WScript.Sleep(10000)

i = 0
While i <= Args.Count - 1
    CloseTables(Args(i))
    i = i + 1
Wend 

MsgBox "Completed " & Args.Count & " Tables"

Set Args = Nothing
Set Wsh = Nothing
Set FSO = Nothing 

Sub StartTables(InTable)

    If not FSO.fileexists(intable) Then
        MsgBox intable & " Not Found!",vbCritical,"Error"
    Elseif UCase(Mid(intable, Len(intable)-3,4))  <> ".TBD" Then
        MsgBox intable & " Not a TBD file!",vbCritical,"Error"
    Else 
        Wsh.Run intable
    End If

End Sub 

Sub RunTables(InTable)

    If not FSO.fileexists(intable) Then
        MsgBox intable & " Not Found!",vbCritical,"Error"
    Elseif UCase(Mid(intable, Len(intable)-3,4))  <> ".TBD" Then
        MsgBox intable & " Not a TBD file!",vbCritical,"Error"
    Else 
        Wsh.appactivate intable & " - Tables", True 
        WScript.Sleep(1000)
        Wsh.SendKeys("%O")
        Wsh.SendKeys("A")
        j = 1
        While j <= 20
            WScript.Sleep(100)
            wsh.sendkeys("{ENTER}")
            j = j + 1
        Wend 
        WScript.Sleep(1000)
            
    End If

End Sub 

Sub CloseTables(InTable)

    If not FSO.fileexists(intable) Then
        MsgBox intable & " Not Found!",vbCritical,"Error"
    Elseif UCase(Mid(intable, Len(intable)-3,4))  <> ".TBD" Then
        MsgBox intable & " Not a TBD file!",vbCritical,"Error"
    Else 
        Wsh.appactivate intable & " - Tables", True 
        WScript.Sleep(1000)
        Wsh.SendKeys("%{F4}")            
    End If

End Sub 
